InformationRecovery Class Reference

Rabin's Information Dispersal Algorithm. More...

Inheritance diagram for InformationRecovery:

## Public Member Functions

| InformationRecovery (int threshold, BufferedTransformation *attachment=NULL, bool removePadding=true)
| Construct a InformationRecovery.
void | IsolatedInitialize (const NameValuePairs &parameters=g_nullNameValuePairs)
Public Member Functions inherited from RawIDA
| RawIDA (BufferedTransformation *attachment=NULL)
unsigned int | GetThreshold () const
void | AddOutputChannel (word32 channelId)
void | ChannelData (word32 channelId, const byte *inString, size_t length, bool messageEnd)
lword | InputBuffered (word32 channelId) const
void | IsolatedInitialize (const NameValuePairs &parameters=g_nullNameValuePairs)
size_t | ChannelPut2 (const std::string &channel, const byte *begin, size_t length, int messageEnd, bool blocking)
| Input multiple bytes for processing on a channel. More...
Public Member Functions inherited from AutoSignaling< Unflushable< Multichannel< Filter > > >
| AutoSignaling (int propagation=-1)
| Construct an AutoSignaling. More...
void | SetAutoSignalPropagation (int propagation)
| Set propagation of automatically generated and transferred signals. More...
int | GetAutoSignalPropagation () const
| Retrieve automatic signal propagation value. More...
Public Member Functions inherited from Unflushable< Multichannel< Filter > >
bool | Flush (bool completeFlush, int propagation=-1, bool blocking=true)
| Flush buffered input and/or output, with signal propagation. More...
bool | IsolatedFlush (bool hardFlush, bool blocking)
| Flushes data buffered by this object, without signal propagation. More...
bool | ChannelFlush (const std::string &channel, bool hardFlush, int propagation=-1, bool blocking=true)
| Flush buffered input and/or output on a channel. More...
Public Member Functions inherited from Multichannel< T >
bool | MessageSeriesEnd (int propagation=-1, bool blocking=true)
| Marks the end of a series of messages, with signal propagation. More...
byte * | CreatePutSpace (size_t &size)
| Request space which can be written into by the caller. More...
size_t | Put2 (const byte *inString, size_t length, int messageEnd, bool blocking)
| Input multiple bytes for processing. More...
size_t | PutModifiable2 (byte *inString, size_t length, int messageEnd, bool blocking)
| Input multiple bytes that may be modified by callee. More...
byte * | ChannelCreatePutSpace (const std::string &channel, size_t &size)
| Request space which can be written into by the caller. More...
bool | ChannelPutModifiable (const std::string &channel, byte *inString, size_t length)
| Input multiple bytes that may be modified by callee on a channel. More...
size_t | ChannelPutModifiable2 (const std::string &channel, byte *begin, size_t length, int messageEnd, bool blocking)
| Input multiple bytes that may be modified by callee on a channel. More...
Public Member Functions inherited from CustomFlushPropagation< T >

## Detailed Description

Rabin's Information Dispersal Algorithm.

InformationDispersal is a variant of Rabin's information dispersal algorithm

See also
  SecretRecovery, SecretRecovery, InformationDispersal, InformationRecovery

Since
  Crypto++ 1.0

Definition at line 144 of file ida.h.

The documentation for this class was generated from the following files:

- ida.h
- ida.cpp